=== debian/changelog ===
rtl-wmbus (1.0.1-2) experimental; urgency=medium

  *	Update Vcs-Git and Vcs-Browser and Watch.

 -- Fredrik Öhrström <oehrstroem@gmail.com>  Mon, 15 May 2023 15:48:21 +0200

rtl-wmbus (1.0.1-1) experimental; urgency=medium

  * First package upload (Closes: #998720).
  * Upload sponsored by Petter Reinholdtsen.

 -- Fredrik Öhrström <oehrstroem@gmail.com>  Sun, 07 May 2023 11:06:21 +0200
