=== debian/control ===
Source: rtl-wmbus
Section: comm
Priority: optional
Maintainer: Fredrik Öhrström <oehrstroem@gmail.com>
Build-Depends: debhelper-compat (= 11)
Standards-Version: 4.5.1
Homepage: https://github.com/xaelsouth/rtl-wmbus
Vcs-Browser: https://salsa.debian.org/weetmuts/package-rtl-wmbus.git
Vcs-Git: https://salsa.debian.org/weetmuts/package-rtl-wmbus.git
Rules-Requires-Root: no

Package: rtl-wmbus
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
 , rtl-sdr
Description: software defined receiver for Wireless-M-Bus (EN13757 OMS) with RTL-SDR
 Allow for receiving meter data via radio according to the European
 standard EN13757 OMS for remote reading of smart meters.
