## rtl-wmbus 1.1.0

=== debian/changelog ===
rtl-wmbus (1.1.0-1) unstable; urgency=medium

  [ Fredrik Öhrström ]
  * New upstream version 1.1.0

  [ Anton Gladky ]
  * Exclude packaging files from copyright
  * Add salsa-ci CI/CD
  * Modernize rules and generate manpage
  * Update debhelper compatibility to 13
  * Update Standards-Version to 4.7.3
  * Update maintainer to Debian Hamradio team
  * Add autopkgtests for basic functionality
  * Respect standard compiler flags in Makefile

 -- Anton Gladky <gladk@debian.org>  Wed, 04 Feb 2026 06:44:04 +0100
