=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_auto_build:
	$(MAKE) COMMIT_HASH= TAG=$(shell dpkg-parsechangelog -S Version) BRANCH= CHANGES=
	help2man --no-info --name='software defined receiver for Wireless M-Bus' \
		--output=debian/rtl_wmbus.1 ./build/rtl_wmbus

override_dh_clean:
	dh_clean debian/rtl_wmbus.1
