=== debian/tests/control ===
Tests: version help basic-options
Depends: rtl-wmbus
